Fail2ban Remote Denial of Service Vulnerability

Fail2ban is prone to a remote denial-of-service vulnerability because the application fails to properly ensure the validity of authentication-failure messages.

Successfully exploiting this issue allows remote attackers to add arbitrary IP addresses to the block list used by the application. This allows attackers to deny further network access to arbitrary IP addresses, denying service to legitimate users.

Fail2ban 0.8.0 and prior versions are vulnerable to this issue.


 

Privacy Statement
Copyright 2010, SecurityFocus